## linux-wlan-ng 0.2.9+dfsg

=== Makefile ===
# Makefile
#
# Copyright (C) 1999 AbsoluteValue Systems, Inc.  All Rights Reserved.
# --------------------------------------------------------------------
#
# linux-wlan
#
#   The contents of this file are subject to the Mozilla Public
#   License Version 1.1 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.mozilla.org/MPL/
#
#   Software distributed under the License is distributed on an "AS
#   IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
#   implied. See the License for the specific language governing
#   rights and limitations under the License.
#
#   Alternatively, the contents of this file may be used under the
#   terms of the GNU Public License version 2 (the "GPL"), in which
#   case the provisions of the GPL are applicable instead of the
#   above.  If you wish to allow the use of your version of this file
#   only under the terms of the GPL and not to allow others to use
#   your version of this file under the MPL, indicate your decision
#   by deleting the provisions above and replace them with the notice
#   and other provisions required by the GPL.  If you do not delete
#   the provisions above, a recipient may use your version of this
#   file under either the MPL or the GPL.
#
# --------------------------------------------------------------------
#
# Inquiries regarding the linux-wlan Open Source project can be
# made directly to:
#
# AbsoluteValue Systems Inc.
# info@linux-wlan.com
# http://www.linux-wlan.com
#
# --------------------------------------------------------------------
#
# Portions of the development of this software were funded by 
# Intersil Corporation as part of PRISM(R) chipset product development.
#
# --------------------------------------------------------------------


DIRS = src doc man etc

CTAGOPTS = --totals -I '__initdata,__exitdata,EXPORT_SYMBOL,EXPORT_SYMBOL_NOVERS'
ETAGS=etags
ETAGSOPTS=-a


default: all

help:
	@echo "Pick one of the following targets:"
	@echo -e "\tmake config\t\t- interactive configure"
	@echo -e "\tmake auto_config\t- automated configure"
	@echo -e "\tmake default_config\t- automated configure using default config file"
	@echo -e "\tmake all\t\t- build modules and programs"
	@echo -e "\tmake install\t\t- install modules and programs"
	@echo -e "\tmake clean\t\t- remove old binaries and dependency files"
	@echo -e "\tmake mrproper\t\t- 'make clean' + remove config file"
	@echo -e "\tmake tags\t\t- generate ctag files for source code"
	@echo -e "\tmake TAGS\t\t- generate etag files for source code"
	@echo " "

help_noconfig:
	@echo "You need to configure the source first"
	@echo "Pick one of the following targets:"
	@echo -e "\tmake config\t\t- interactive configure"
	@echo -e "\tmake auto_config\t- automated configure"
	@echo -e "\tmake default_config\t- automated configure using default config file"
	@echo -e "\tmake help\t\t- show information about other targets"

all:    config.mk
	set -e; for d in $(DIRS); do $(MAKE) -C $$d ; done

distclean: mrproper

mrproper: clean
	rm -f config.out
	rm -f tags.linux tags TAGS

clean:
	set -e; for d in $(DIRS); do $(MAKE) -C $$d clean ; done
	rm -f core core.* *.o .*.o *.s *.a .depend tmp_make *~ tags 
	for i in *_obj; do if [ -d $$i ]; then rm -fr $$i; fi; done
	rm -f config.mk config.new
	rm -f src/include/wlan/version.h

install:
	find . -name .depend -exec rm {} \;
	set -e; for d in $(DIRS); do $(MAKE) -C $$d install ; done

auto_config:
	@touch config.mk config.new
	@rm -f config.mk config.new
	@./Configure -d

default_config:
	@touch config.mk config.new
	@rm -f config.mk config.new
	@./Configure -d ./default.config

config:
	@touch config.mk
	@./Configure

config.mk: config.out
	$(MAKE) auto_config

config.out:
	@$(MAKE) help_noconfig
	@exit 1

tags: tags.linux dummy
	if [ -r tags.linux ]; then cp tags.linux tags; fi 
	find . \
		-name '*.[ch]' -o \
		-name '*.mk' -o \
		-iname 'Makefile' | \
		xargs ctags -a $(CTAGOPTS)

tags.linux:
	if [ -h linux ]; then \
		find linux/include \
			-type d \( -name 'asm-*' -o -name config \) \
			-prune -o \
			-name '*.h' -print | \
			xargs ctags -a -f $@ $(CTAGOPTS) && \
		find linux/kernel linux/drivers linux/mm linux/fs \
			linux/net linux/ipc linux/lib linux/init \
			-name '*.[ch]' | \
			xargs ctags -a -f $@ $(CTAGOPTS); \
	fi

TAGS: dummy
	rm -f TAGS
#	if [ -h linux ]; then cp linux/TAGS TAGS; fi 
	{ find . -name '*.[ch]' -print ; \
	  find . -name '*.[ch]' -print ; \
	  find . -name '*.mk' -print ; \
	  find . -iname 'Makefile' -print ; } | $(ETAGS) - $(ETAGSOPTS)

dummy:

=== doc/Makefile ===
# doc/Makefile
#
# Copyright (C) 1999 AbsoluteValue Systems, Inc.  All Rights Reserved.
# --------------------------------------------------------------------
#
# linux-wlan
#
#   The contents of this file are subject to the Mozilla Public
#   License Version 1.1 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.mozilla.org/MPL/
#
#   Software distributed under the License is distributed on an "AS
#   IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
#   implied. See the License for the specific language governing
#   rights and limitations under the License.
#
#   Alternatively, the contents of this file may be used under the
#   terms of the GNU Public License version 2 (the "GPL"), in which
#   case the provisions of the GPL are applicable instead of the
#   above.  If you wish to allow the use of your version of this file
#   only under the terms of the GPL and not to allow others to use
#   your version of this file under the MPL, indicate your decision
#   by deleting the provisions above and replace them with the notice
#   and other provisions required by the GPL.  If you do not delete
#   the provisions above, a recipient may use your version of this
#   file under either the MPL or the GPL.
#
# --------------------------------------------------------------------
#
# Inquiries regarding the linux-wlan Open Source project can be
# made directly to:
#
# AbsoluteValue Systems Inc.
# info@linux-wlan.com
# http://www.linux-wlan.com
#
# --------------------------------------------------------------------
#
# Portions of the development of this software were funded by 
# Intersil Corporation as part of PRISM(R) chipset product development.
#
# --------------------------------------------------------------------

-include ../config.mk

all:
	@echo "Nothing to do..."

install:
	@echo "Nothing to do..."

clean:
	rm -f core core.* *.o .*.o *.s *.a .depend tmp_make *~ tags
	for i in *_obj; do if [ -d $$i ]; then rm -fr $$i; fi; done

=== etc/Makefile ===
# etc/Makefile
#
# Copyright (C) 1999 AbsoluteValue Systems, Inc.  All Rights Reserved.
# --------------------------------------------------------------------
#
# linux-wlan
#
#   The contents of this file are subject to the Mozilla Public
#   License Version 1.1 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.mozilla.org/MPL/
#
#   Software distributed under the License is distributed on an "AS
#   IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
#   implied. See the License for the specific language governing
#   rights and limitations under the License.
#
#   Alternatively, the contents of this file may be used under the
#   terms of the GNU Public License version 2 (the "GPL"), in which
#   case the provisions of the GPL are applicable instead of the
#   above.  If you wish to allow the use of your version of this file
#   only under the terms of the GPL and not to allow others to use
#   your version of this file under the MPL, indicate your decision
#   by deleting the provisions above and replace them with the notice
#   and other provisions required by the GPL.  If you do not delete
#   the provisions above, a recipient may use your version of this
#   file under either the MPL or the GPL.
#
# --------------------------------------------------------------------
#
# Inquiries regarding the linux-wlan Open Source project can be
# made directly to:
#
# AbsoluteValue Systems Inc.
# info@linux-wlan.com
# http://www.linux-wlan.com
#
# --------------------------------------------------------------------
#
# Portions of the development of this software were funded by 
# Intersil Corporation as part of PRISM(R) chipset product development.
#
# --------------------------------------------------------------------

-include ../config.mk

DIRS= pcmcia wlan

all:
	set -e; for d in $(DIRS); do $(MAKE) -C $$d all; done

clean:
	set -e; for d in $(DIRS); do $(MAKE) -C $$d clean; done

install:
	set -e; for d in $(DIRS); do $(MAKE) -C $$d install; done
	if [ ! -d $(TARGET_ROOT_ON_HOST)$(RC_DIR)/init.d ]; then \
		mkdir -p $(TARGET_ROOT_ON_HOST)$(RC_DIR)/init.d; \
	fi; \
	cp rc.wlan $(TARGET_ROOT_ON_HOST)$(RC_DIR)/init.d/wlan; \
	chmod 755 $(TARGET_ROOT_ON_HOST)$(RC_DIR)/init.d/wlan ;\
	if [ -d $(TARGET_ROOT_ON_HOST)/etc/hotplug ]; then \
		cp wlan.agent $(TARGET_ROOT_ON_HOST)/etc/hotplug; \
		rm -f $(TARGET_ROOT_ON_HOST)/etc/hotplug/usb/prism2_usb; \
                rm -f $(TARGET_ROOT_ON_HOST)/etc/hotplug/pci/prism2_pci; \
                rm -f $(TARGET_ROOT_ON_HOST)/etc/hotplug/pci/prism2_plx; \
	fi

=== man/Makefile ===
# man/Makefile
#
# Copyright (C) 1999 AbsoluteValue Systems, Inc.  All Rights Reserved.
# --------------------------------------------------------------------
#
# linux-wlan
#
#   The contents of this file are subject to the Mozilla Public
#   License Version 1.1 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.mozilla.org/MPL/
#
#   Software distributed under the License is distributed on an "AS
#   IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
#   implied. See the License for the specific language governing
#   rights and limitations under the License.
#
#   Alternatively, the contents of this file may be used under the
#   terms of the GNU Public License version 2 (the "GPL"), in which
#   case the provisions of the GPL are applicable instead of the
#   above.  If you wish to allow the use of your version of this file
#   only under the terms of the GPL and not to allow others to use
#   your version of this file under the MPL, indicate your decision
#   by deleting the provisions above and replace them with the notice
#   and other provisions required by the GPL.  If you do not delete
#   the provisions above, a recipient may use your version of this
#   file under either the MPL or the GPL.
#
# --------------------------------------------------------------------
#
# Inquiries regarding the linux-wlan Open Source project can be
# made directly to:
#
# AbsoluteValue Systems Inc.
# info@linux-wlan.com
# http://www.linux-wlan.com
#
# --------------------------------------------------------------------
#
# Portions of the development of this software were funded by 
# Intersil Corporation as part of PRISM(R) chipset product development.
#
# --------------------------------------------------------------------

-include ../config.mk

all:
	@echo "Nothing to do..."

install:
	mkdir -p $(TARGET_ROOT_ON_HOST)/usr/local/man/man1
	cp *.1 	$(TARGET_ROOT_ON_HOST)/usr/local/man/man1

clean:
	rm -f core core.* *.o .*.o *.s *.a .depend tmp_make *~ tags
	for i in *_obj; do if [ -d $$i ]; then rm -fr $$i; fi; done

=== scripts/Makefile ===
CURR_DIR :=$(shell pwd)

export CURR_DIR

.PHONY: get_version

all: clean get_version get_options 

get_version:
	@if [ ! -d $(KERNEL_SOURCE)/ ]; then \
		echo "";\
		echo "$(KERNEL_SOURCE) directory does not exist. Please edit the file 'config'";\
		echo "in this directory and set KERNEL_SOURCE to the correct location of your ";\
		echo "kernel source.";\
		echo "";\
		echo "You are currently running kernel version `uname -r`, the source code should";\
		echo "be for this version.";\
		echo "";\
		exit 1;\
	fi
	@if [ ! -f $(KERNEL_SOURCE)/include/linux/version.h ]; then \
		echo "$(KERNEL_SOURCE)/include/linux/version.h is missing. Please run make config";\
		echo "in your kernel source tree";\
		exit 1;\
	fi

	$(CC) -I$(KERNEL_SOURCE)/include get_version.c -o get_version

get_options:
	$(MAKE) -f $(CURR_DIR)/Makefile.get_options -C $(KERNEL_SOURCE) get_version_target

clean:
	$(RM) get_version make.opts 

distclean: clean

=== add-ons/keygen/Makefile ===
# Makefile
#
# Copyright (C) 1999 AbsoluteValue Systems, Inc.  All Rights Reserved.
# --------------------------------------------------------------------
#
# linux-wlan
#
#   The contents of this file are subject to the Mozilla Public
#   License Version 1.1 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.mozilla.org/MPL/
#
#   Software distributed under the License is distributed on an "AS
#   IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
#   implied. See the License for the specific language governing
#   rights and limitations under the License.
#
#   Alternatively, the contents of this file may be used under the
#   terms of the GNU Public License version 2 (the "GPL"), in which
#   case the provisions of the GPL are applicable instead of the
#   above.  If you wish to allow the use of your version of this file
#   only under the terms of the GPL and not to allow others to use
#   your version of this file under the MPL, indicate your decision
#   by deleting the provisions above and replace them with the notice
#   and other provisions required by the GPL.  If you do not delete
#   the provisions above, a recipient may use your version of this
#   file under either the MPL or the GPL.
#
# --------------------------------------------------------------------
#
# Inquiries regarding the linux-wlan Open Source project can be
# made directly to:
#
# AbsoluteValue Systems Inc.
# info@linux-wlan.com
# http://www.linux-wlan.com
#
# --------------------------------------------------------------------
#
# Portions of the development of this software were funded by 
# Intersil Corporation as part of PRISM(R) chipset product development.
#
# --------------------------------------------------------------------


keygen:
	gcc -o keygen keygen.c -lcrypto

=== add-ons/lwepgen/Makefile ===
default: lwepgen

lwepgen: lwepgen.c
	 gcc -Wl,/usr/lib/libcrypto.so -o lwepgen lwepgen.c
	 
lwepgen.c:
	echo lwepgen.c missing!
	false

clean:
	rm -rf lwepgen

=== src/mkmeta/Makefile ===
# src/mkmeta/Makefile 
#
# Copyright (C) 1999 AbsoluteValue Systems, Inc.  All Rights Reserved.
# --------------------------------------------------------------------
#
# linux-wlan
#
#   The contents of this file are subject to the Mozilla Public
#   License Version 1.1 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.mozilla.org/MPL/
#
#   Software distributed under the License is distributed on an "AS
#   IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
#   implied. See the License for the specific language governing
#   rights and limitations under the License.
#
#   Alternatively, the contents of this file may be used under the
#   terms of the GNU Public License version 2 (the "GPL"), in which
#   case the provisions of the GPL are applicable instead of the
#   above.  If you wish to allow the use of your version of this file
#   only under the terms of the GPL and not to allow others to use
#   your version of this file under the MPL, indicate your decision
#   by deleting the provisions above and replace them with the notice
#   and other provisions required by the GPL.  If you do not delete
#   the provisions above, a recipient may use your version of this
#   file under either the MPL or the GPL.
#
# --------------------------------------------------------------------
#
# Inquiries regarding the linux-wlan Open Source project can be
# made directly to:
#
# AbsoluteValue Systems Inc.
# info@linux-wlan.com
# http://www.linux-wlan.com
#
# --------------------------------------------------------------------
#
# Portions of the development of this software were funded by 
# Intersil Corporation as part of PRISM(R) chipset product development.
#
# --------------------------------------------------------------------

-include ../../config.mk

CPPFLAGS= -I../include -I$(LINUX_SRC)/include \
		-D__LINUX_WLAN__

# Implicit rules to handle the separate obj dirs
OBJ_DIR=obj

$(OBJ_DIR)/%.o : ../shared/%.c
	$(HOST_CC) -c $(HOST_CFLAGS) $(CPPFLAGS) $< -o $@

$(OBJ_DIR)/%.o : %.c
	$(HOST_CC) -c $(HOST_CFLAGS) $(CPPFLAGS) $< -o $@

# Source and obj and target definitions
SHSRC=	../shared/p80211types.c \
	../shared/p80211metamsg.c \
	../shared/p80211metamib.c \
	../shared/p80211meta.c 

SHOBJ=	$(OBJ_DIR)/p80211types.o \
	$(OBJ_DIR)/p80211metamsg.o \
	$(OBJ_DIR)/p80211metamib.o \
	$(OBJ_DIR)/p80211meta.o 

MKMETADEF_SRC=	$(SHSRC) \
		mkmetadef.c
MKMETADEF_OBJ=	$(SHOBJ) \
		$(OBJ_DIR)/mkmetadef.o 
MKMETASTRUCT_SRC=	$(SHSRC) \
			mkmetastruct.c
MKMETASTRUCT_OBJ=	$(SHOBJ) \
			$(OBJ_DIR)/mkmetastruct.o 

DEP_SRC=$(MKMETADEF_SRC) $(MKMETASTRUCT_SRC)

# Rules
all : .depend dirs mkmetadef mkmetastruct

dep .depend: $(DEP_SRC) ../../config.mk
	$(HOST_CPP) -M $(CPPFLAGS) $(DEP_SRC) > .depend

dirs :
	mkdir -p $(OBJ_DIR)



mkmetadef:	$(MKMETADEF_OBJ) mkmetadefhead.txt
	$(HOST_CC) $(LDFLAGS) -o $@ $(MKMETADEF_OBJ)
	cat mkmetadefhead.txt > ../include/wlan/p80211metadef.h
	./mkmetadef >> ../include/wlan/p80211metadef.h
	echo "#endif" >> ../include/wlan/p80211metadef.h

mkmetastruct:	$(MKMETASTRUCT_OBJ) mkmetastructhead.txt
	$(HOST_CC) $(LDFLAGS) -o $@ $(MKMETASTRUCT_OBJ)
	cat mkmetastructhead.txt > ../include/wlan/p80211metastruct.h
	./mkmetastruct >> ../include/wlan/p80211metastruct.h
	echo "#endif" >> ../include/wlan/p80211metastruct.h

install:
	echo "Nothing to install"

clean:
	rm -f core core.* *.o .*.o *.s *.a .depend tmp_make *~ tags
	rm -f ../shared/*.o
	rm -fr $(OBJ_DIR)
	rm -f mkmetadef mkmetastruct
	rm -f ../include/wlan/p80211metastruct.h
	rm -f ../include/wlan/p80211metadef.h

#
# Include a dependency file (if one exists)
#
ifneq ($(MAKECMDGOALS), clean)
ifeq (.depend,$(wildcard .depend))
include .depend
endif
endif

=== src/nwepgen/Makefile ===
# src/nwepgen/Makefile
#
# Copyright (C) 1999 AbsoluteValue Systems, Inc.  All Rights Reserved.
# --------------------------------------------------------------------
#
# linux-wlan
#
#   The contents of this file are subject to the Mozilla Public
#   License Version 1.1 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.mozilla.org/MPL/
#
#   Software distributed under the License is distributed on an "AS
#   IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
#   implied. See the License for the specific language governing
#   rights and limitations under the License.
#
#   Alternatively, the contents of this file may be used under the
#   terms of the GNU Public License version 2 (the "GPL"), in which
#   case the provisions of the GPL are applicable instead of the
#   above.  If you wish to allow the use of your version of this file
#   only under the terms of the GPL and not to allow others to use
#   your version of this file under the MPL, indicate your decision
#   by deleting the provisions above and replace them with the notice
#   and other provisions required by the GPL.  If you do not delete
#   the provisions above, a recipient may use your version of this
#   file under either the MPL or the GPL.
#
# --------------------------------------------------------------------
#
# Inquiries regarding the linux-wlan Open Source project can be
# made directly to:
#
# AbsoluteValue Systems Inc.
# info@linux-wlan.com
# http://www.linux-wlan.com
#
# --------------------------------------------------------------------
#
# Portions of the development of this software were funded by 
# Intersil Corporation as part of PRISM(R) chipset product development.
#
# --------------------------------------------------------------------

-include ../../config.mk

CPPFLAGS= -I../include -I$(LINUX_SRC)/include \
		-D__LINUX_WLAN__

nwepgen: nwepgen.o
	$(CC) $(LDFLAGS) -o nwepgen nwepgen.o

install:
	mkdir -p $(TARGET_INST_EXEDIR)
	cp nwepgen $(TARGET_INST_EXEDIR)

clean: 
	rm -f core core.* *.o .*.o *.s *.a .depend tmp_make *~ nwepgen

=== src/p80211/Makefile ===
# Makefile
#
# Copyright (C) 1999 AbsoluteValue Systems, Inc.  All Rights Reserved.
# --------------------------------------------------------------------
#
# linux-wlan
#
#   The contents of this file are subject to the Mozilla Public
#   License Version 1.1 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.mozilla.org/MPL/
#
#   Software distributed under the License is distributed on an "AS
#   IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
#   implied. See the License for the specific language governing
#   rights and limitations under the License.
#
#   Alternatively, the contents of this file may be used under the
#   terms of the GNU Public License version 2 (the "GPL"), in which
#   case the provisions of the GPL are applicable instead of the
#   above.  If you wish to allow the use of your version of this file
#   only under the terms of the GPL and not to allow others to use
#   your version of this file under the MPL, indicate your decision
#   by deleting the provisions above and replace them with the notice
#   and other provisions required by the GPL.  If you do not delete
#   the provisions above, a recipient may use your version of this
#   file under either the MPL or the GPL.
#
# --------------------------------------------------------------------
#
# Inquiries regarding the linux-wlan Open Source project can be
# made directly to:
#
# AbsoluteValue Systems Inc.
# info@linux-wlan.com
# http://www.linux-wlan.com
#
# --------------------------------------------------------------------
#
# Portions of the development of this software were funded by 
# Intersil Corporation as part of PRISM(R) chipset product development.
#
# --------------------------------------------------------------------

ifneq ($(WLAN_SRC),)
-include $(WLAN_SRC)/../config.mk
else
-include ../../config.mk
endif

# Build options (just comment out the ones you don't want)
WLAN_EXTRA_DEFINE := -DWLAN_TXMGMT_MINBRATE -DRSN_INTERNAL_ROAM -DWLAN_HOSTIF=WLAN_NONE
ifeq ($(WLAN_DEBUG), y)
WLAN_EXTRA_DEFINE += -DWLAN_INCLUDE_DEBUG
endif

obj-m := 

ifeq ($(KERN_25), y)   # kbuild 2.5/2.6

obj-m := p80211.o

p80211-objs := p80211mod.o \
		p80211conv.o \
		p80211req.o \
		p80211wep.o \
		p80211wext.o \
		p80211netdev.o

else  # kbuild 2.4

O_TARGET := p80211.o
obj-m := $(O_TARGET)
obj-y := p80211mod.o \
		p80211conv.o \
		p80211req.o \
		p80211wep.o \
		p80211wext.o \
		p80211netdev.o

export-objs := p80211mod.o
endif # kbuild switch

ifneq ($(KERNELRELEASE),)

EXTRA_CFLAGS += -I$(WLAN_SRC)/include $(WLAN_EXTRA_DEFINE)

ifneq ($(KERN_25), y)
include $(TOPDIR)/Rules.make
endif

else  # KERNRELEASE is set

PWD := $(shell pwd)
default:
ifeq ($(KERN_25), y)
 ifeq ($(KERN_2_6_5), y)
  ifeq ($(KERN_2_6_17), y)  # >= 2.6.17
	$(MAKE) -C $(LINUX_SRC) M='$(PWD)' WLAN_SRC=$(WLAN_SRC) modules
  else # 2.6.5 <-> 2.6.16
	$(MAKE) -C $(LINUX_SRC) M='$(WLAN_SRC) $(PWD)' WLAN_SRC=$(WLAN_SRC) modules
  endif
 else # < 2.6.5
	$(MAKE) -C $(LINUX_SRC) SUBDIRS='$(WLAN_SRC) $(PWD)' WLAN_SRC=$(WLAN_SRC) modules
 endif
else # kbuild 2.4
	$(MAKE) -C $(LINUX_SRC) SUBDIRS=$(PWD) WLAN_SRC=$(WLAN_SRC) modules
endif # kbuild switch

endif  #KERNELRELEASE

clean:
	rm -Rf *.o *.ko .*.cmd *.mod.c *.flags .*.flags .tmp_versions Module*.symvers

install:
	mkdir -p $(TARGET_MODDIR)
ifeq ($(KERN_25), y)
	cp $(obj-m:.o=.ko)	$(TARGET_MODDIR)
else
	cp $(obj-m)		$(TARGET_MODDIR)
endif

=== src/shared/Makefile ===
# src/shared/Makefile
#
# Copyright (C) 1999 AbsoluteValue Systems, Inc.  All Rights Reserved.
# --------------------------------------------------------------------
#
# linux-wlan
#
#   The contents of this file are subject to the Mozilla Public
#   License Version 1.1 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.mozilla.org/MPL/
#
#   Software distributed under the License is distributed on an "AS
#   IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
#   implied. See the License for the specific language governing
#   rights and limitations under the License.
#
#   Alternatively, the contents of this file may be used under the
#   terms of the GNU Public License version 2 (the "GPL"), in which
#   case the provisions of the GPL are applicable instead of the
#   above.  If you wish to allow the use of your version of this file
#   only under the terms of the GPL and not to allow others to use
#   your version of this file under the MPL, indicate your decision
#   by deleting the provisions above and replace them with the notice
#   and other provisions required by the GPL.  If you do not delete
#   the provisions above, a recipient may use your version of this
#   file under either the MPL or the GPL.
#
# --------------------------------------------------------------------
#
# Inquiries regarding the linux-wlan Open Source project can be
# made directly to:
#
# AbsoluteValue Systems Inc.
# info@linux-wlan.com
# http://www.linux-wlan.com
#
# --------------------------------------------------------------------
#
# Portions of the development of this software were funded by 
# Intersil Corporation as part of PRISM(R) chipset product development.
#
# --------------------------------------------------------------------

-include ../../config.mk

all:
	@echo "Nothing to do..."

install:
	@echo "Nothing to do..."

clean:
	rm -f core core.* *.o .*.o *.s *.a .depend tmp_make *~ tags
	for i in *_obj; do if [ -d $$i ]; then rm -fr $$i; fi; done

=== src/wlancfg/Makefile ===
# src/wlancfg/Makefile
#
# Copyright (C) 1999 AbsoluteValue Systems, Inc.  All Rights Reserved.
# --------------------------------------------------------------------
#
# linux-wlan
#
#   The contents of this file are subject to the Mozilla Public
#   License Version 1.1 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.mozilla.org/MPL/
#
#   Software distributed under the License is distributed on an "AS
#   IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
#   implied. See the License for the specific language governing
#   rights and limitations under the License.
#
#   Alternatively, the contents of this file may be used under the
#   terms of the GNU Public License version 2 (the "GPL"), in which
#   case the provisions of the GPL are applicable instead of the
#   above.  If you wish to allow the use of your version of this file
#   only under the terms of the GPL and not to allow others to use
#   your version of this file under the MPL, indicate your decision
#   by deleting the provisions above and replace them with the notice
#   and other provisions required by the GPL.  If you do not delete
#   the provisions above, a recipient may use your version of this
#   file under either the MPL or the GPL.
#
# --------------------------------------------------------------------
#
# Inquiries regarding the linux-wlan Open Source project can be
# made directly to:
#
# AbsoluteValue Systems Inc.
# info@linux-wlan.com
# http://www.linux-wlan.com
#
# --------------------------------------------------------------------
#
# Portions of the development of this software were funded by 
# Intersil Corporation as part of PRISM(R) chipset product development.
#
# --------------------------------------------------------------------

-include ../../config.mk

CPPFLAGS= -I../include -I$(LINUX_SRC)/include -D__LINUX_WLAN__

SRCS =	../shared/p80211types.c \
	../shared/p80211meta.c \
	../shared/p80211metamsg.c \
	../shared/p80211metamib.c 

OBJS =	../shared/p80211types.o \
	../shared/p80211meta.o \
	../shared/p80211metamsg.o \
	../shared/p80211metamib.o 

wlancfg: wlancfg.o $(OBJS)
	$(CC) $(LDFLAGS) -o wlancfg wlancfg.o $(OBJS)

install:
	cp wlancfg $(TARGET_INST_EXEDIR)

clean: 
	rm -f core core.* *.o .*.o *.s *.a .depend tmp_make *~ tags
	rm -f wlancfg

=== debian/changelog ===
linux-wlan-ng (0.2.9+dfsg-5) unstable; urgency=low

  [ Tormod Volden ]
  * debian/control: move packages from admin to kernel section

  [ Enrico Tassi ]
  * Remove linux-wlan-ng-source package (Closes: #651792)
  * Move to quilt and source format 3.0 (abandon dpatch) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 18 Feb 2012 11:21:39 +0100

linux-wlan-ng (0.2.9+dfsg-4) unstable; urgency=low

  [ Tormod Volden ]
  * Add versioned dependency on udev for the udev rules move
  * Be more explicit in the package descriptions
  * Drop Recommends on the obsoleted -modules package
  * Download firmware directly to /lib/firmware and not to /var/lib
    since /var might not be mounted when the driver initializes
  * debian/patches/SRC_fallback-to-prism2-device.dpatch: fallback
    to "prism2" name if /proc interface is missing, helpful for
    making userspace firmware loading work on some kernels.
  * Add myself to Uploaders

  [ Enrico Tassi ]
  * The active maintainer is Tormod, let's put him in this field and 
    move myself an Victor to uploaders

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 15 Feb 2010 19:38:45 +0100

linux-wlan-ng (0.2.9+dfsg-3) unstable; urgency=low

  [ Tormod Volden ]
  * New prism2-usb-firmware-installer binary package for use with
    kernels with the staging prism2_usb driver using kernel 
    firmware loading.
  * Install udev rules in /lib/udev and remove old one from /etc/udev
  * Replace dh_clean -k by dh_prep
  * Bump Standards-Version to 3.8.4
  * Add debian/README.source referring to dpatch
  * Merge debian/NEWS into changelog
  * debian/copyright: "GPL" means "GPL-2"
  * debian/linux-wlan-ng-firmware.copyright: Make machine-readable
  * add srec2fw.c and mention it in the copyright file
  * wrote man page for srec2fw

  [ Enrico Tassi ]
  * Added ${shlibs:Depends} to prism2-usb-firmware-installer
  * Added ${misc:Depends} to all packages since we are using debhelper
  * debian/compat set to 7 
  * Build-depend on debhelper >= 7 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 04 Feb 2010 21:08:01 +0100

linux-wlan-ng (0.2.9+dfsg-2) unstable; urgency=low

  [ Tormod Volden ]
  * SRC_build_on_2-6-26.dpatch:
    Cherry-picked upstream r1867 to fix build on 2.6.26
    (Closes: #495338)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 17 Aug 2008 12:27:38 +0200

linux-wlan-ng (0.2.9+dfsg-1) unstable; urgency=low

  [ Chris Lamb ]
  * Fix bashism in debian/rules (Closes: #484403)

  [ Enrico Tassi ]
  * New upstream release
  * Watch file fixed to strip +dfsd tag from debian version  before comparing
    it with the upstream version
  * Bumped standards-version to 3.8.0, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 21 Jun 2008 11:23:42 +0200

linux-wlan-ng (0.2.8+svn1854+dfsg-1) unstable; urgency=low

  [ Tormod Volden ]
  * linux-wlan-ng-post-down: Do not disable card on ifdown if wireless
    extensions are in use
  * Removed the "sleep 3" in wlan-udev.sh since this is fixed in the
    driver (since revision 1852)
  * linux-wlan-ng-build-firmware-deb: bail out if no network is available
    instead of building empty package, remove misplaced cd command
  * README.Debian: removed obsolete configuration instructions
    (Closes: #474485)

  [ Victor Seva ]
  * New upstream fixes initialization race condition:
    Perform the hardware reset/init sequence *before* we register
    the netdevice. (Karl Renton)

  [ Enrico Tassi ]
  * Added a call to dh_installmodules in rules used by m-a (Closes: #480284)   

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 09 May 2008 18:25:50 +0200

linux-wlan-ng (0.2.8+svn1851+dfsg-1) unstable; urgency=low

  [ Victor Seva ]
  * changed Depends: linux-wlan-ng to Recommends
    on linux-wlan-ng-modules (Closes: #465329) Thanks to Tormod Volden.
  * fix for firmware loading from upstream ( rev 1851 )
  * removed linux-wlan-ng.modprobe and dh_installmodules on rules.
    Not needed anymore. (Closes: #192351) Thanks to Tormod Volden.

  [ Enrico Tassi ]
  * Version 1851 fixed firmware loading issues affecting wep configuration
    (Closes: #454684)
  * Added sleep 3 in wlan-udev.sh to avoid a race condition (Closes: #465681)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 17 Feb 2008 13:55:16 +0100

linux-wlan-ng (0.2.8+svn1850+dfsg-1) unstable; urgency=low

  [ Enrico Tassi ]
  * Removed useless entries in linux-wlan-ng (Thanks Tormod Volden for
    spotting that)
  * bumped standsrds-version to 3.7.3, no modifications needed
  * Removed old conffile installed by dh_installmodules
    /etc/modutils/linux-wlan-ng (Closes: #455027)
  * Added Vcs fields in control
  * moved the -doc package in section: doc

  [ Victor Seva ]
  * Added support for 2.6.24 kernels

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 08 Feb 2008 17:33:47 +0100

linux-wlan-ng (0.2.8+svn1839+dfsg-2) unstable; urgency=low

  * removed hotplug file and activated cleanup preinst and postinst scripts
    (Thanks Tormod Volden for testing this modification)
  * fixed typo in etc/rc.wlan (used only as example)
  * removed -Xetc/init.d from rules and removed etc/init.d dir from .install
    for package linux-wlan-ng (package content should be the same, just
    housekeeping)
  * Removed dbus-send org.freedesktop.NetworkManager.RefreshDevice
    from wlan-udev.sh since it is no more necessary (Thanks Tormod Volden
    for spotting this)
  * Fixed watch file (only tar.bz2 are present) (Closes: #449773)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 24 Nov 2007 18:32:39 +0100

linux-wlan-ng (0.2.8+svn1839+dfsg-1) unstable; urgency=low

  * Renamed TEMPDIR in LWNTMP (Closes: #440366)
  * Added support for 2.6.23 kernels (Closes: #447409)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 29 Jul 2007 14:16:32 +0200

linux-wlan-ng (0.2.8+svn1832+dfsg-2) unstable; urgency=low

  * Removed spurious slash in .install file (Closes: #435008)
  * Fixed prism2_* loading in case p80211 is already loaded (Closes: #429624)


=== debian/control ===
Source: linux-wlan-ng
Section: kernel
Priority: extra
Maintainer: Tormod Volden <debian.tormod@gmail.com>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>, Victor Seva <linuxmaniac@torreviejawireless.org>
Build-Depends: debhelper (>= 7), bzip2, quilt (>= 0.40)
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/linux-wlan-ng/
Vcs-Browser: http://svn.debian.org/viewsvn/linux-wlan-ng

# Package: linux-wlan-ng-source
# Architecture: all
# Depends: bzip2, module-assistant, debhelper (>= 4.1.10), ${misc:Depends}
# Suggests: kernel-package
# Description: linux-wlan-ng driver 
#  linux-wlan-ng is a set of drivers and utilities that is intended to
#  provide the full range of IEEE 802.11 MAC management capabilities for use
#  in user-mode utilities and scripts. The package currently supports the
#  Intersil 802.11b Prism2, Prism2.5, and Prism3 reference designs for
#  PCMCIA, PCI, and USB. Additionally, the package includes support for the
#  PLX9052 based PCI to PCMCIA adapter with a few different PCMCIA cards.
#  .
#  This package provides the source code for the linux-wlan-ng kernel
#  modules. After installing this you must use module-assistant to compile
#  and install the modules.
#  .
#  Please note that you probably do not need this package: The prism2_usb
#  driver is included in the default kernel packages since 2.6.31.

Package: linux-wlan-ng
Architecture: any
Depends: ${shlibs:Depends}, wireless-tools, udev (>= 0.140-1), ${misc:Depends}
Recommends: linux-wlan-ng-doc
Conflicts: linux-wlan-ng-modules, linux-wlan-ng-0.1.15-modules
Description: utilities for wireless prism2 cards
 linux-wlan-ng is a set of drivers and utilities that is intended to
 provide the full range of IEEE 802.11 MAC management capabilities for use
 in user-mode utilities and scripts. The package currently supports the
 Intersil 802.11b Prism2, Prism2.5, and Prism3 reference designs for
 PCMCIA, PCI, and USB. Additionally, the package includes support for the
 PLX9052 based PCI to PCMCIA adapter with a few different PCMCIA cards.
 .
 Please note that you probably do not need this package: The prism2_usb
 driver is included in the default kernel packages since 2.6.31.
 If you need firmware loading for your prism2_usb device, please just
 install the prism2-usb-firmware-installer package.
 .
 This package ships legacy utilities and scripts for advanced
 configuration and user-space firmware downloading (support for
 non-USB devices).

Package: linux-wlan-ng-doc
Architecture: all
Recommends: linux-wlan-ng
Section: doc
Depends: ${misc:Depends}
Description: documentation for wlan-ng
 linux-wlan-ng is a set of drivers and utilities that is intended to
 provide the full range of IEEE 802.11 MAC management capabilities for use
 in user-mode utilities and scripts. The package currently supports the
 Intersil 802.11b Prism2, Prism2.5, and Prism3 reference designs for
 PCMCIA, PCI, and USB. Additionally, the package includes support for the
 PLX9052 based PCI to PCMCIA adapter with a few different PCMCIA cards.
 .
 This package contains documentation for linux-wlan-ng that is not included
 in the main package.

Package: linux-wlan-ng-firmware
Architecture: all
Section: contrib/kernel
Depends: linux-wlan-ng (>= ${binary:Version}), build-essential, debhelper, subversion, fakeroot, ${misc:Depends}
Description: firmware files used by the linux-wlan-ng driver
 linux-wlan-ng is a set of drivers and utilities that is intended to
 provide the full range of IEEE 802.11 MAC management capabilities for use
 in user-mode utilities and scripts. The package currently supports the
 Intersil 802.11b Prism2, Prism2.5, and Prism3 reference designs for
 PCMCIA, PCI, and USB. Additionally, the package includes support for the
 PLX9052 based PCI to PCMCIA adapter with a few different PCMCIA cards.
 .
 This package doesn't contain the firmware files, but a script to download
 the upstream source tarball and build a deb that contains them. Note that
 only some adapters really need a firmware file and that firmware files are
 not completely free (in the sense of freely redistributable), that's why
 this package exists.
 .
 For newer kernels (2.6.31+) which have the in-tree prism2_usb driver,
 you can install the prism2-usb-firmware-installer package instead.

Package: prism2-usb-firmware-installer
Architecture: any
Section: contrib/kernel
Depends: wget, ${shlibs:Depends}, ${misc:Depends}
Description: firmware files for the prism2_usb kernel driver
 prism2-usb-firmware-installer will at the time of its own installation
 download the firmware files for the prism2_usb devices from the
 upstream code repository and convert them to the format used by the
 kernel modules since 2.6.32.
 .
 The downloaded file will be used as-is by the 2.6.31 kernel. If you
 have an earlier kernel you will have to install the
 linux-wlan-ng-firmware package instead.
 .
 Note that only some adapters really need a firmware file and that
 firmware files are not completely free (in the sense of freely
 redistributable), which is why this package exists.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

# debug
#export DH_VERBOSE=y
#export TO_NULL=&>/dev/null
#TO_NULL=&>/dev/null
#MAKEFLAGS+=-s --no-print-directory

# used by debian/config-for-lwng that is sourced by ./Configure
# in this way no modules are built and no errors are reported if there are no
# kenrel headers
ENV=BUILD_MODULES=n BUILD_UTILS=y

#export DH_OPTIONS

# some shortcuts
PWD=$(shell pwd)
LWNTMP=.modules
LWNS=linux-wlan-ng

WARN_MSG="hex files found! please remove them from the source package"
SRC_TBALL_MSG="building source tarball"
INDEP_DEB_MSG="building deb for -source and doc"
UTILS_DEB_MSG="building deb for utilities"
UTILS_BUILD_MSG="building utilities"
FIRMWARE_DEB_MSG="building deb firmware"
NO_DEB_MSG="no debs id dir "

#if not set it may be 'cc' and on hppa the cross compiler is named
# blablabla-gcc, not blablabla-cc
CC := gcc 

###################### CONFIGURATION ###################################
configure-stamp:
	@echo detected flavours for current arch are: $(flavours)
	# to make the configure script happy we have to provide a real
	# kernel source tree.
	$(ENV) CC="$(CC)" ./Configure -d debian/config-for-lwng $(TO_NULL)
	touch configure-stamp

###################### INDEP PART ######################################

# creates the files for the tarball
build-stamp-indep: $(QUILT_STAMPFN) configure-stamp
	printf "\n\n\n***** $(SRC_TBALL_MSG) *****\n\n\n"
	mkdir -p $(LWNTMP)/modules/$(LWNS)
	cp -ra * $(LWNTMP)/modules/$(LWNS)
	make -C $(LWNTMP)/modules/$(LWNS) clean
	rm -rf $(LWNTMP)/modules/$(LWNS)/debian
	rm -rf $(LWNTMP)/modules/$(LWNS)/*-stamp
	mkdir -p $(LWNTMP)/modules/$(LWNS)/debian/ 
	cp debian/changelog debian/compat debian/copyright debian/config-for-lwng \
		$(LWNTMP)/modules/$(LWNS)/debian
	cp debian/*.modules.in \
		$(LWNTMP)/modules/$(LWNS)/debian
	install -m755 debian/rules.modules \
		$(LWNTMP)/modules/$(LWNS)/debian/rules
# fail if firmware files found: THEY SHOULD NOT BE THERE!!!!
	if [ -n "`find -name '*.hex'`" ]; then \
		printf "\n\n\n***** $(WARN_MSG) *****\n\n\n"; \
		exit 1; \
	fi
#	rm -f $(LWNTMP)/modules/$(LWNS)/src/prism2/*.hex
	touch build-stamp-indep

# creates the tarball
install-stamp-indep: build-stamp-indep
	cd $(LWNTMP);\
		tar cjf ../$(LWNS).tar.bz2 modules
# install the firmware stuff
	TGT=debian/tmp/usr/share/linux-wlan-ng-firmware/debian/;\
	mkdir -p $$TGT;\
	mkdir -p debian/tmp/usr/bin/;\
	mkdir -p debian/tmp/usr/share/doc/linux-wlan-ng-firmware/;\
	cp debian/firmware.install.in \
		$$TGT/linux-wlan-ng-firmware-files.install;\
	cp debian/firmware.dirs.in \
		$$TGT/linux-wlan-ng-firmware-files.dirs;\
	cp debian/changelog \
		$$TGT;\
	cp debian/control.firmware \
		$$TGT/control;\
	cp debian/rules.firmware \
		$$TGT/rules;\
	chmod +x $$TGT/rules; \
	cp debian/config-for-lwng \
		$$TGT;\
	echo 4 > $$TGT/compat;\
	V=`dpkg-parsechangelog | grep ^Version | cut -f 2 -d : | tr -d " "`;\
	  sed s/@@VERSION@@/$$V/ debian/linux-wlan-ng-build-firmware-deb >\
	  debian/tmp/usr/bin/linux-wlan-ng-build-firmware-deb; \
	  sed s/@@VERSION@@/$$V/ debian/linux-wlan-ng-build-firmware-deb.1 >\
	  debian/tmp/usr/bin/linux-wlan-ng-build-firmware-deb.1; 
	chmod 0755 debian/tmp/usr/bin/linux-wlan-ng-build-firmware-deb 
	cp debian/linux-wlan-ng-firmware.copyright \
	  debian/tmp/usr/share/doc/linux-wlan-ng-firmware/
	touch install-stamp-indep

binary-indep: DH_OPTIONS=-i
binary-indep: install-stamp-indep
	printf "\n\n\n***** $(INDEP_DEB_MSG) *****\n\n\n"
	dh_install $(DH_OPTIONS) -Xrc.d 
	dh_installchangelogs $(DH_OPTIONS) CHANGES
	dh_installdocs  $(DH_OPTIONS) 
	dh_installexamples $(DH_OPTIONS)
	dh_link $(DH_OPTIONS)
	dh_fixperms $(DH_OPTIONS)
	dh_installdeb  $(DH_OPTIONS)
	dh_gencontrol $(DH_OPTIONS) 
	dh_compress $(DH_OPTIONS)
	dh_md5sums $(DH_OPTIONS)
	dh_builddeb $(DH_OPTIONS)

####################### ARCH PART ######################################

# install stuff that is arch dependent
install-stamp: DH_OPTIONS=-plinux-wlan-ng -pprism2-usb-firmware-installer
install-stamp: build-stamp
	printf "\n\n\n***** $(UTILS_DEB_MSG) *****\n\n\n"

	chmod +x debian/linux-wlan-ng-post-down debian/linux-wlan-ng-pre-up \
		debian/linux-wlan-ng-resume debian/linux-wlan-ng-suspend
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_prep $(DH_OPTIONS)
	dh_installdirs $(DH_OPTIONS)
	
# install utils and docs
	mkdir -p debian/tmp/etc/hotplug/	
	$(MAKE) install $(TO_NULL)
	cp src/prism2/*pda debian/tmp/etc/wlan/
	mkdir -p debian/tmp/usr/bin
	cp srec2fw debian/tmp/usr/bin/srec2fw
	touch install-stamp


# build utils and modules (all arch stuff)
build-stamp: $(QUILT_STAMPFN) configure-stamp
	dh_testdir
	printf "\n\n\n***** $(UTILS_BUILD_MSG) *****\n\n\n"
	$(MAKE) all $(TO_NULL)
	$(CC) -o srec2fw debian/srec2fw.c

	touch build-stamp

# package all arch dependent stuff
binary-arch: DH_OPTIONS=-plinux-wlan-ng -pprism2-usb-firmware-installer
binary-arch: install-stamp
	dh_install $(DH_OPTIONS) 
	dh_installchangelogs $(DH_OPTIONS) CHANGES
	dh_installdocs  $(DH_OPTIONS)
	dh_installexamples $(DH_OPTIONS)    
	dh_strip  $(DH_OPTIONS) 
	dh_link $(DH_OPTIONS)
	dh_fixperms  $(DH_OPTIONS) 
	dh_shlibdeps  $(DH_OPTIONS)   
	dh_installdeb  $(DH_OPTIONS)  
	chmod a-x debian/linux-wlan-ng/etc/pcmcia/wlan-ng.*
	chmod a-x debian/linux-wlan-ng/etc/wlan/wlancfg-DEFAULT
	chmod a+x debian/linux-wlan-ng/etc/wlan/shared
	dh_installman  $(DH_OPTIONS) man/*.1
	dh_installman  -pprism2-usb-firmware-installer debian/srec2fw.1
	dh_gencontrol  $(DH_OPTIONS)
	dh_compress    $(DH_OPTIONS) 
	dh_md5sums     $(DH_OPTIONS) 
	dh_builddeb    $(DH_OPTIONS)  

build: build-stamp

############################ CLEAN ################################

clean: $(QUILT_STAMPFN) configure-stamp clean1 unpatch
clean1:
	dh_testdir
	dh_testroot
	$(MAKE) mrproper $(TO_NULL)
	$(MAKE) -C src/prism2/download clean $(TO_NULL)
	$(MAKE) -C debian/control-generator clean $(TO_NULL)
	dh_clean debian/postinst

# stamps
	$(RM) configure-stamp build-stamp install-stamp \
		build-stamp-indep install-stamp-indep \
		install-firmware-stamp
	
# temporary stuff 
	rm -rf $(LWNTMP) $(LWNS).tar.bz2
	
# firmware
	rm -rf .firmware

########################## MAIN ##################################

binary: binary-indep binary-arch 

.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package linux-wlan-ng
#
version=3
opts=dversionmangle=s/\+dfsg// \
 ftp://ftp.linux-wlan.org/pub/linux-wlan-ng/linux-wlan-ng-([\d.]+).tar.bz2
